Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class GenericArray

    java.lang.Object
      org.apache.bcel.verifier.structurals.GenericArray

All Implemented Interfaces:
  Serializable, Cloneable

    public class GenericArray

extends Object
implements Cloneable, Serializable

A placeholder class that can be used to create an ObjectType of which has some of the properties arrays have. They implement java.lang.Cloneable and java.io.Serializable and they extend java.lang.Object.

Version:
  $Id: GenericArray.java 371539 2006-01-23 14:08:00Z tcurdt $
See Also:
  Serialized Form

Constructor Summary
`GenericArray()`

Method Summary
`protected Object` | `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericArray

    public GenericArray()

Method Detail

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.